import request from '@/utils/request'

// 查询小区业主台账信息列表
export function listProprietorLedger(query) {
  return request({
    url: '/business/proprietorLedger/list',
    method: 'get',
    params: query
  })
}

// 查询小区业主台账信息列表
export function listProprietorLedgerAll(query) {
  return request({
    url: '/business/proprietorLedger/listAll',
    method: 'get',
    params: query
  })
}

// 查询小区业主台账信息详细
export function getProprietorLedger(id) {
  return request({
    url: '/business/proprietorLedger/' + id,
    method: 'get'
  })
}

// 新增小区业主台账信息
export function addProprietorLedger(data) {
  return request({
    url: '/business/proprietorLedger',
    method: 'post',
    data: data
  })
}

// 修改小区业主台账信息
export function updateProprietorLedger(data) {
  return request({
    url: '/business/proprietorLedger',
    method: 'put',
    data: data
  })
}

// 删除小区业主台账信息
export function delProprietorLedger(id) {
  return request({
    url: '/business/proprietorLedger/' + id,
    method: 'delete'
  })
}
